import { InmuebleVistasService } from './inmueble-vistas.service';
import { InmuebleVistas } from './inmueble-vistas.entity';
import { CreateInmuebleVistasDto } from './dto/create-inmueble-vistas.dto';
import { UpdateInmuebleVistasDto } from './dto/update-inmueble-vistas.dto';
export declare class InmuebleVistasController {
    private inmuebleVistasService;
    constructor(inmuebleVistasService: InmuebleVistasService);
    get(): Promise<import("@nestjs/common").HttpException | {
        created_at: string;
        updated_at: string;
        inmueble: {
            created_at: string;
            updated_at: string;
            id: number;
            bathroom: number;
            dormitorios: number;
            cocheras: number;
            ambientes: number;
            mascotas: string;
            cuarto_servicio: string;
            balcon: string;
            terraza: string;
            ascensor: string;
            condominio: string;
            deposito: string;
            proyecto: string;
            areas_sociales: string;
            area: number;
            area_techada: number;
            precio: string;
            precio_mantenimiento: string;
            piso: number;
            descripcion: string;
            direccion: string;
            latitud: string;
            longitud: string;
            zoom: string;
            antiguedad: number;
            estreno: string;
            titulo: string;
            tipo_vivienda_id: number;
            tipo_operacion_id: number;
            tipo_inmueble_id: number;
            nivel_amoblado_id: number;
            distrito_id: number;
            user_id: number;
            tipo_ubicacion_id: number;
            estado_inmueble_id: number;
            deleted_at: Date;
            tipo_moneda_id: number;
            estado_id: number;
            tipoMoneda: import("../tipo-moneda/tipo-moneda.entity").TipoMoneda;
            tipoVivienda: import("../tipo-vivienda/tipo-vivienda.entity").TipoVivienda;
            tipoOperacion: import("../tipo-operacion/tipo-operacion.entity").TipoOperacion;
            estado: import("../estado/estado.entity").Estado;
            estadoInmueble: import("../estado-inmueble/estado-inmueble.entity").EstadoInmueble;
            tipoInmueble: import("../tipo-inmueble/tipo-inmueble.entity").TipoInmueble;
            nivelAmoblado: import("../nivel-amoblado/nivel-amoblado.entity").NivelAmoblado;
            distrito: import("../distrito/distrito.entity").Distrito;
            user: import("../users/user.entity").User;
            tipoUbicacion: import("../tipo-ubicacion/tipo-ubicacion.entity").TipoUbicacion;
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
            galeria: import("../galeria/galeria.entity").Galeria[];
            inmuebleEstados: import("../inmueble-estados/inmueble-estados.entity").InmuebleEstados[];
            inmuebleVistas: InmuebleVistas[];
        };
        vista: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            tipo_vista_id: number;
            tipoVista: import("../tipo-vista/tipo-vista.entity").TipoVista;
            inmuebleVistas: InmuebleVistas[];
        };
        id: number;
        deleted_at: Date;
        inmueble_id: number;
        vista_id: number;
    }[]>;
    getInmuebleVistasById(id: number): Promise<import("@nestjs/common").HttpException | {
        created_at: string;
        updated_at: string;
        inmueble: {
            created_at: string;
            updated_at: string;
            id: number;
            bathroom: number;
            dormitorios: number;
            cocheras: number;
            ambientes: number;
            mascotas: string;
            cuarto_servicio: string;
            balcon: string;
            terraza: string;
            ascensor: string;
            condominio: string;
            deposito: string;
            proyecto: string;
            areas_sociales: string;
            area: number;
            area_techada: number;
            precio: string;
            precio_mantenimiento: string;
            piso: number;
            descripcion: string;
            direccion: string;
            latitud: string;
            longitud: string;
            zoom: string;
            antiguedad: number;
            estreno: string;
            titulo: string;
            tipo_vivienda_id: number;
            tipo_operacion_id: number;
            tipo_inmueble_id: number;
            nivel_amoblado_id: number;
            distrito_id: number;
            user_id: number;
            tipo_ubicacion_id: number;
            estado_inmueble_id: number;
            deleted_at: Date;
            tipo_moneda_id: number;
            estado_id: number;
            tipoMoneda: import("../tipo-moneda/tipo-moneda.entity").TipoMoneda;
            tipoVivienda: import("../tipo-vivienda/tipo-vivienda.entity").TipoVivienda;
            tipoOperacion: import("../tipo-operacion/tipo-operacion.entity").TipoOperacion;
            estado: import("../estado/estado.entity").Estado;
            estadoInmueble: import("../estado-inmueble/estado-inmueble.entity").EstadoInmueble;
            tipoInmueble: import("../tipo-inmueble/tipo-inmueble.entity").TipoInmueble;
            nivelAmoblado: import("../nivel-amoblado/nivel-amoblado.entity").NivelAmoblado;
            distrito: import("../distrito/distrito.entity").Distrito;
            user: import("../users/user.entity").User;
            tipoUbicacion: import("../tipo-ubicacion/tipo-ubicacion.entity").TipoUbicacion;
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
            galeria: import("../galeria/galeria.entity").Galeria[];
            inmuebleEstados: import("../inmueble-estados/inmueble-estados.entity").InmuebleEstados[];
            inmuebleVistas: InmuebleVistas[];
        };
        vista: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            tipo_vista_id: number;
            tipoVista: import("../tipo-vista/tipo-vista.entity").TipoVista;
            inmuebleVistas: InmuebleVistas[];
        };
        id: number;
        deleted_at: Date;
        inmueble_id: number;
        vista_id: number;
    }>;
    createInmuebleVistas(newInmuebleVistas: CreateInmuebleVistasDto): Promise<import("@nestjs/common").HttpException | {
        data: Promise<({
            inmueble_id: number;
            vista_id: number;
        } & InmuebleVistas)[]>;
        id: number;
        status: import("@nestjs/common").HttpStatus;
        message: string;
    }>;
    updateInmuebleVistas(id: number, inmuebleVistas: UpdateInmuebleVistasDto): Promise<import("@nestjs/common").HttpException | (InmuebleVistas & UpdateInmuebleVistasDto)>;
    deleteInmuebleVistas(id: number): Promise<import("@nestjs/common").HttpException | import("typeorm").UpdateResult>;
}
